View Issue Details

IDProjectCategoryView StatusLast Update
14171Bug reports[All Projects] Theme editorpublic2018-11-08 15:36
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14171: Survey owner can't upload logo
Description

If you create user with "Survey create" "Template read" right : he can use all templmate an set Template option
But when try to upload an image : get a warning "Undefined"

Steps To Reproduce

Create user with "Survey create" "Template read" right,
Extend a core template
Log in as this user, create a survey
Theme option, inherit whole : no
Try to upload an image

PS : tested with included template + extended template

Additional Information

I test with core and own template. But i think

  1. We must upload logo in survey files, not in template (if edited via Survey theme option)
  2. We must save path of file , and generate asset for this file on the fly.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant ?
Operating System (Server)not relevant ?
Webserver software & versionnot relevant ?
PHP Versionnot relevant ?

Relationships

related to 14180 resolvedDenisChenu Multiple logo filename with same url in dropdown 

Activities

DenisChenu

DenisChenu

2018-10-24 16:04

developer   ~49429

PS :

$ git pull
Déjà à jour.
$ ls upload/themes/
index.html  survey/     
$ ls upload/themes/survey/generalfiles/
index.html

OK with super admin.

I can take it like a "new feature" : upload logo in survey (when edit in survey)

DenisChenu

DenisChenu

2018-10-24 17:15

developer   ~49430

https://github.com/LimeSurvey/LimeSurvey/pull/1158

DenisChenu

DenisChenu

2018-10-26 00:13

developer   ~49444

Fix committed to master_ImageInSurvey branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28402

DenisChenu

DenisChenu

2018-11-03 11:44

developer   ~49529

Please : see if pull request need update …

DenisChenu

DenisChenu

2018-11-08 15:35

developer   ~49584

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28491

Related Changesets

LimeSurvey: master_ImageInSurvey ba3a9dcd

2018-10-24 17:14:11

DenisChenu

Details Diff
Fixed issue 14171: Survey owner can upload template image
Dev: use survey folder for Template uploaded image
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - themes/survey/vanilla/options/options.twig Diff File

LimeSurvey: master a2bbf642

2018-11-08 15:35:04

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14180: Multiple logo filename with same url in dropdown

Fixed issue 14171: Survey owner without template edit right can not upload logo
New feature : list image in Survey for Brand logo file in Theme option
Dev: use survey folder for Template uploaded image
Dev: separate image in template and image in survey
Dev: separate each image, add otpgroup label
Dev: Put optgroup in image selector (core template)
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - themes/survey/bootswatch/options/options.twig Diff File
mod - themes/survey/fruity/options/options.twig Diff File
mod - themes/survey/vanilla/options/options.twig Diff File

Issue History

Date Modified Username Field Change
2018-10-24 15:45 DenisChenu New Issue
2018-10-24 15:48 DenisChenu Steps to Reproduce Updated View Revisions
2018-10-24 16:04 DenisChenu Note Added: 49429
2018-10-24 17:15 DenisChenu Note Added: 49430
2018-10-24 19:03 DenisChenu Relationship added related to 14180
2018-10-26 00:13 DenisChenu Changeset attached => LimeSurvey master_ImageInSurvey ba3a9dcd
2018-10-26 00:13 DenisChenu Note Added: 49444
2018-10-26 00:13 DenisChenu Assigned To => DenisChenu
2018-10-26 00:13 DenisChenu Resolution open => fixed
2018-10-26 08:38 DenisChenu Summary Survey owner can upload logo => Survey owner can't upload logo
2018-10-26 08:38 DenisChenu Status new => assigned
2018-11-03 11:44 DenisChenu Assigned To DenisChenu => markusfluer
2018-11-03 11:44 DenisChenu Note Added: 49529
2018-11-08 15:35 DenisChenu Changeset attached => LimeSurvey master a2bbf642
2018-11-08 15:35 DenisChenu Note Added: 49584
2018-11-08 15:35 DenisChenu Assigned To markusfluer => DenisChenu
2018-11-08 15:36 DenisChenu Status assigned => resolved
2018-11-08 15:36 DenisChenu Fixed in Version => 3.15.x